Delen via


Agent Pools - Get Queue Status

Hiermee haalt u het aantal uitvoeringen in de wachtrij op voor een bepaalde agentpool.

POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ContainerRegistry/registries/{registryName}/agentPools/{agentPoolName}/listQueueStatus?api-version=2025-03-01-preview

URI-parameters

Name In Vereist Type Description
agentPoolName
path True

string

minLength: 3
maxLength: 20
pattern: ^[a-zA-Z0-9-]*$

De naam van de agentgroep.

registryName
path True

string

minLength: 5
maxLength: 50
pattern: ^[a-zA-Z0-9]*$

De naam van het register

resourceGroupName
path True

string

minLength: 1
maxLength: 90

De naam van de resourcegroep. De naam is hoofdletterongevoelig.

subscriptionId
path True

string (uuid)

De id van het doelabonnement. De waarde moet een UUID zijn.

api-version
query True

string

minLength: 1

De API-versie die voor deze bewerking moet worden gebruikt.

Antwoorden

Name Type Description
200 OK

AgentPoolQueueStatus

Azure-bewerking is voltooid.

Other Status Codes

ErrorResponse

Een onverwachte foutreactie.

Beveiliging

azure_auth

OAuth2-stroom voor Azure Active Directory.

Type: oauth2
Stroom: implicit
Autorisatie-URL: https://login.microsoftonline.com/common/oauth2/authorize

Bereiken

Name Description
user_impersonation Uw gebruikersaccount imiteren

Voorbeelden

AgentPools_GetQueueStatus

Voorbeeldaanvraag

POST https://management.azure.com/subscriptions/4385cf00-2d3a-425a-832f-f4285b1c9dce/resourceGroups/myResourceGroup/providers/Microsoft.ContainerRegistry/registries/myRegistry/agentPools/myAgentPool/listQueueStatus?api-version=2025-03-01-preview

Voorbeeldrespons

{
  "count": 10
}

Definities

Name Description
AgentPoolQueueStatus

De QueueStatus van agentenpool

ErrorAdditionalInfo

Aanvullende informatie over de resourcebeheerfout.

ErrorDetail

De foutdetails.

ErrorResponse

Foutreactie

AgentPoolQueueStatus

De QueueStatus van agentenpool

Name Type Description
count

integer (int32)

Het aantal lopende uitvoeringen in de wachtrij

ErrorAdditionalInfo

Aanvullende informatie over de resourcebeheerfout.

Name Type Description
info

object

De aanvullende informatie.

type

string

Het extra informatietype.

ErrorDetail

De foutdetails.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

De fout bevat aanvullende informatie.

code

string

De foutcode.

details

ErrorDetail[]

De foutdetails.

message

string

Het foutbericht.

target

string

Het foutdoel.

ErrorResponse

Foutreactie

Name Type Description
error

ErrorDetail

Het foutobject.